<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Contracts\Encryption\DecryptException;
use Illuminate\Support\Facades\Crypt;
use App\Models\ColunasColuna;
use App\Models\RegistoCampoDinamico;
use App\Models\ParametroDocumental;
use App\Models\SubParametroDocumental;
use Illuminate\Support\Facades\DB;
use App\Models\FuncionarioCliente;

class CarregamentoCliente extends Controller
{
    
    public function index()
    {

        $meuId_empresa=FuncionarioCliente::trazer_Empresa_id();

        $dados=\App\Models\Cliente::join('parametrodocumentals','parametrodocumentals.cliente_id','clientes.id')
                                ->where('clientes.id',$meuId_empresa->id)
                                ->select('parametrodocumentals.*')->distinct()->get();
        //dd($dados);
        return view('usuarios.clientes.carregamento.carregamento_index',['dados'=>$dados,'id_empresa_my'=>$meuId_empresa->id]);
    }

    public function multi_files()
    {
        return view('usuarios.clientes.carregamento.carregamento_index');
    }
}
